/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.springboottestcontainers;

import java.awt.print.Book;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
@RequestMapping("/api/products")
public class ProductController {
    
  @Autowired
  private ProductRepository productRepository;

  @GetMapping
  public List<Product> getAll() {
      return productRepository.findAll();
  }

  @PostMapping
  public Product create(@RequestBody Product product) {
      return productRepository.save(product);
  }

  @GetMapping("/{id}")
  public Product getById(@PathVariable Long id) {
      return productRepository.findById(id).orElse(null);
  }
}
